Rivet::BinnedHistogram< T > Class Template Reference

`#include <BinnedHistogram.hh>`

## Public Member Functions

| BinnedHistogram ()
| Create a new empty BinnedHistogram.
const BinnedHistogram< T > & | addHistogram (const T &binMin, const T &binMax, AIDA::IHistogram1D *histo)
AIDA::IHistogram1D * | fill (const T &bin, const T &val, double weight)
void | scale (const T &scale, Analysis *ana)
const vector < AIDA::IHistogram1D * > & | getHistograms () const
vector< AIDA::IHistogram1D * > & | getHistograms ()

## Detailed Description

### template<typename T>
class Rivet::BinnedHistogram< T >

BinnedHistogram contains a series of histograms of the same quantity each in a different region of a second quantity. For example, a BinnedHistogram may contain histograms of the cross section differential in in different regions.

## Member Function Documentation

template<typename T >

const BinnedHistogram< T > & Rivet::BinnedHistogram< T >::addHistogram | ( | const T & | binMin,
|  | const T & | binMax,
|  | AIDA::IHistogram1D * | histo
| ) |  |

Add a histogram in the region between binMin and binMax to this set of BinnedHistograms.

template<typename T >

AIDA::IHistogram1D * Rivet::BinnedHistogram< T >::fill | ( | const T & | bin,
|  | const T & | val,
|  | double | weight
| ) |  |

Fill the histogram that lies in the same region as bin with the value val of weight weight.

template<typename T >

void Rivet::BinnedHistogram< T >::scale | ( | const T & | scale,
|  | Analysis * | ana
| ) |  |

Scale histograms taking into account its "external" binwidth, i.e. by scale/binWidth

References Rivet::Analysis::scale().

The documentation for this class was generated from the following files:

- include/Rivet/Tools/BinnedHistogram.hh
- src/Tools/BinnedHistogram.cc